Package com.independentsoft.office.word.fonts

# Class FontTable

java.lang.Object
com.independentsoft.office.word.fonts.FontTable

public class FontTable extends Object
The Class FontTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontTable()`
  Instantiates a new font table.
  `FontTable​(byte[] buffer, Relationship relationship)`
  Instantiates a new font table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FontTable`
  `clone()`
  `List<Font>`
  `getFonts()`
  Gets the fonts.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the fonts root, or `null` if absent.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the fonts root.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FontTable

    public FontTable()
    Instantiates a new font table.

  - ### FontTable

    public FontTable​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new font table.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public FontTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFonts

    public List<Font> getFonts()
    Gets the fonts.
    Returns:
      the fonts

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the fonts root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the fonts root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value